{
  "name": "common-lib",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "test": "vitest",
    "lint": "eslint --config ./configs/.eslintrc ./src",
    "lint:fix": "eslint --config ./configs/.eslintrc ./src --fix",
    "format": "prettier --config ./configs/.prettierrc --ignore-path ./configs/.prettierignore ./src/**/*.{js,jsx,ts,tsx,css,md,json} --write"
  },
  "dependencies": {},
  "devDependencies": {
    "@rollup/plugin-replace": "^5.0.2",
    "@total-typescript/ts-reset": "^0.5.1",
    "@typescript-eslint/eslint-plugin": "^6.6.0",
    "@typescript-eslint/parser": "^6.6.0",
    "eslint": "^8.49.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-import-resolver-typescript": "^3.5.5",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-prettier": "^5.0.0",
    "prettier": "^3.0.3",
    "prettier-plugin-jsdoc": "^1.0.2",
    "typescript": "^5.2.2",
    "vite-tsconfig-paths": "^4.2.1",
    "vitest": "^0.34.4"
  }
}
